<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\Classes\Scripting;

interface VariableProviderAdapter
{
  
  public function values();

  
  public function addResult(string $result, array $nonIfVariables): void;

  
  public function getVarValue(string $var);

  
  public function getVarValueRaw(string $var);

  
  public function canCacheVariable(string $var): bool;

  public function getVarValueForeach(string $var);

  public function currentValue();
}